function H = compute_Hessian(funname,x,pars)
% Emre Mengi (Modified on April 21, 2014)
%
% auxiliary function (to be called by eigopt_constrained.m)

n = length(x);
h = 10^-8;

[f,g] = feval(funname,x,pars);

eyen = eye(n);

for j = 1:n
	xh = x + h*eyen(:,j);
	[fh,gh] = feval(funname,xh,pars);

	H(:,j) = [gh - g]/h;
end


H = (H + H')/2;

return;